<?php
require_once("./class.validator.php");

function isValidDate($parms)
{
 if(!empty($parms[1]))
 {
  $d = DateTime::createFromFormat($parms[0], $parms[1]);
  return $d && $d->format($parms[0]) == $parms[1];
 }
}

if((isset($_POST["trap"]) && empty($_POST["trap"])) && (isset($_POST["submitted"]) && $_POST["submitted"] == "1"))
{
 // Form posted, perform validation tests.
 // Create validator object
 $validator = new Validator();
 // Move $_POST values to validator source
 $validator->addSource($_POST);
 // Trim whitespace from both ends of validator source
 $validator->trimSource();
 // Add validation rules
 $validator->addRule("alpha", "required", "Alphabetic field can't be blank.");
 $validator->addRule("alpha", "alpha", "Must be alphabetic characters only.");
 $validator->addRule("alpha", "minlen=5", "Minimum length for alphabetic is 5.");
 $validator->addRule("alpha", "maxlen=10", "Maximum length for alphabetic is 10.");
 $validator->addRule("alnum", "required", "Alpha-Numeric field can't be blank.");
 $validator->addRule("alnum", "alphanumeric", "Must be alpha-numeric characters only.");
 $validator->addRule("alnum", "minlen=2", "Minimum length for alpha-numeric is 2.");
 $validator->addRule("alnum", "maxlen=8", "Maximum length for alpha-numeric is 8.");
 $validator->addRule("last_name", "required", "Last name can't be blank.");
 $validator->addRule("email", "required", "Your e-mail address can't be blank.");
 $validator->addRule("email", "email", "Your e-mail address appears to be invalid.");
 $validator->addRule("age", "required", "Your age can't be blank.");
 $validator->addRule("age", "integer", "Your age should be numbers only.");
 $validator->addRule("checkme", "checked", "This test checkbox must be checked.");
 $validator->addRule("nocheck", "nocheck", "This test checkbox must NOT be checked.");
 $validator->addRule("gender", "select_radio", "Your gender must be selected.");
 $validator->addRule("country", "nosel=000", "Please select a valid country.");
 $validator->addRule("equal", "required", "Equal to can't be blank or 0.");
 $validator->addRule("equal", "equal=19.333", "Must be equal to 19.333.");
 $validator->addRule("lthan", "required", "Less than can't be blank or 0.");
 $validator->addRule("lthan", "less_than=1999.50", "Must be less than 1999.50.");
 $validator->addRule("lthane", "required", "Less than or equal can't be blank or 0.");
 $validator->addRule("lthane", "less_than_equal=1999.50", "Must be less than or equal to 1999.50.");
 $validator->addRule("gthan", "required", "Greater than can't be blank or 0.");
 $validator->addRule("gthan", "greater_than=10.75", "Must be greater than 10.75.");
 $validator->addRule("gthane", "required", "Greater than or equal to can't be blank or 0.");
 $validator->addRule("gthane", "greater_than_equal=10.75", "Must be greater than or equal to 10.75.");
 $validator->addRule("url", "required", "The URL address can't be blank.");
 $validator->addRule("url", "url", "The URL address doesn't appear to be valid.");
 $validator->addRule("ip", "required", "The IP address can't be blank.");
 $validator->addRule("ip", "ip", "The IP address doesn't appear to be valid.");
 $validator->addRule("ipv4", "required", "The IPv4 address can't be blank.");
 $validator->addRule("ipv4", "ipv4", "The IPv4 address doesn't appear to be valid.");
 $validator->addRule("ipv6", "required", "The IPv6 address can't be blank.");
 $validator->addRule("ipv6", "ipv6", "The IPv6 address doesn't appear to be valid.");
 $validator->addRule("tdate", "required", "Date (YYYY-mm-dd) can't be blank.");
 $validator->addRule("tdate", "date_f", "Only numbers and . or - or / are allowed.");
 $validator->addRule("tdate", "exact_length=10", "Date should be exactly 10 characters.");
 $validator->addRule("alnumd", "required", "Alpha-Numeric, - and _ can't be blank.");
 $validator->addRule("alnumd", "alphanumeric_dash", "Only alpha-numeric, - or _ characters allowed.");
 $validator->addRule("alnums", "required", "Alpha-Numeric and spaces can't be blank.");
 $validator->addRule("alnums", "alphanumeric_space", "Only alpha-numeric and space characters allowed.");
 $validator->addRule("alphad", "required", "Alphabetic, - and _ can't be blank.");
 $validator->addRule("alphad", "alphabetic_dash", "Only alpha, - or _ characters allowed.");
 $validator->addRule("alphas", "required", "Alphabetic and spaces can't be blank.");
 $validator->addRule("alphas", "alphabetic_space", "Only alpha and space characters allowed.");
 $validator->addRule("uname", "required", "Please enter your user name.");
 $validator->addRule("uname", "neelmnt=passa", "User name can't match your password.");
 $validator->addRule("passa", "required", "Please enter your password.");
 $validator->addRule("passa", "minlen=6", "Password must be at least 6 characters.");
 $validator->addRule("passa", "neelmnt=uname", "Password can't match your user name.");
 $validator->addRule("passa", "eqelmnt=passb", "Password doesn't match confirmed password.");
 $validator->addRule("passb", "required", "Please confirm your password.");
 $validator->addRule("passb", "minlen=6", "Confirmed password must be at least 6 characters.");
 $validator->addRule("passb", "neelmnt=uname", "Confirmed password can't match your user name.");
 $validator->addRule("passb", "eqelmnt=passa", "Confirmed password doesn't match password.");
 $validator->addRule("soura", "required", "Source A can't be blank.");
 $validator->addRule("ltval", "required", "Less Than Source A can't be blank.");
 $validator->addRule("ltval", "ltelmnt=soura", "Value is greater than or equal to source A value.");
 $validator->addRule("leval", "required", "Less Than or Equal to Source A can't be blank.");
 $validator->addRule("leval", "leelmnt=soura", "Value is greater than source A value.");
 $validator->addRule("sourb", "required", "Source Value B can't be blank.");
 $validator->addRule("gtval", "required", "Greater Than Source B can't be blank.");
 $validator->addRule("gtval", "gtelmnt=sourb", "Value is less than or equal to source B value.");
 $validator->addRule("geval", "required", "Greater Than or Equal to Source B can't be blank.");
 $validator->addRule("geval", "geelmnt=sourb", "Value is less than source B value.");
 $validator->addRule("ccnum", "required", "A credit card number is required.");
 $validator->addRule("ccnum", "crcard", "Credit card number doesn't appear to be valid.");
 $validator->addRule("pboth", "required", "Some characters are required to pad.");
 $validator->addRule("pboth", "padboth=25", "-");
 $validator->addRule("pleft", "required", "Some characters are required to pad.");
 $validator->addRule("pleft", "padleft=3", "0");
 $validator->addRule("pleft", "exlen=3", "Must be 3 characters in length.");
 $validator->addRule("pright", "required", "Some characters are required to pad.");
 $validator->addRule("pright", "padright=3", "0");
 $validator->addRule("pright", "exlen=3", "Must be 3 characters in length.");
 $validator->addRule("lowerc", "lowercase", "");
 $validator->addRule("lowerc", "required", "Enter some upper case characters to convert.");
 $validator->addRule("upperc", "uppercase", "");
 $validator->addRule("upperc", "required", "Enter some lower case characters to convert.");
 // Add custom validation functions, performed after addRule validations
 $validator->addValidation("isValidDate", "tdate", "This is an invalid date.", array("Y-m-d", $_POST["tdate"]));
 // Run all validation tests
 if($validator->isFormValid())
 {
  // Data validated and sanitized, now return data from the sanitized source
  $_POST = $validator->returnSource();
  // Continue with processing and/or database operations
  // Set a varaible to trigger SQL error, this example uses $sql_error, if needed
  $sql_error = false;
  echo('Validation tests passed, continue processing.<br>' . PHP_EOL);
  // If SQL operation produced no errors, continue
  // Depending on your operations, you might not need the if() section below
  if(!$sql_error)
  {
   // Continue with processing and/or database operations
   echo('Database operations passed, if any, continue processing.<br>' . PHP_EOL);
   // After processing and/or database operations redirect to some page
   // header('Location: somepage.php');
   // exit();
  } // Closing brace for if(!$sql_error)
 }
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Validator Testing<?php echo(defined('NAME_LONG') ? (NAME_LONG ? ' - ' . COMPANY_NAME_LONG : ' - ' . COMPANY_NAME_SHORT) : '');?></title>
<!-- <link rel="stylesheet" type="text/css" href="./../support/css/dbase.css"> -->
<style>
 body
 {
  height: 100%;
  margin: 3px;
  padding: 3px;
 }

 .req, .error
 {
  color: #FF0000;
 }

 #cefiform .fieldset
 {
  padding: 10px;
  border: 1px solid #CCCCCC;
  float: left; /* for float containment */
  margin-top: 0.75em; /* for vertical separation */
  -moz-border-radius: 10px;
  -webkit-border-radius: 10px;
  -khtml-border-radius: 10px;
  border-radius: 10px;
 }
 
 #cefiform .legend
 {
   font-family: Arial, Helvetica, sans-serif;
   font-weight: bold;
   color: #333333;
   margin-top: -22px; /* To overlap the div.fieldset border */
   margin-bottom: 0.5em; /* For vertical spacing */
   background: #FFFFFF; /* To hide the div.fieldset border behind the text */
   float: left; /* To shrink div.legend to its contents */
   padding: 0px 5px; /* A bit of whitespace before and after the text */
 }

 #cefiform label
 {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 0.8em;
  font-weight: bold;
 }

 #cefiform input[type="text"], input[type="password"], select
 {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 0.8em;
  line-height: 140%;
  color: #000000;
  padding: 3px;
  width: 97%;
  border: 1px solid #999999;
  -moz-border-radius: 5px;
  -webkit-border-radius: 5px;
  -khtml-border-radius: 5px;
  border-radius: 5px;
 }

 #cefiform input[type="text"]:focus, input[type="password"]:focus
 {
  color: #000099;
  border: 1px solid #990000;
  background-color: #FFFF99;
  font-weight: bold;
 }

 #cefiform .container
 {
  margin-top: 8px;
  margin-bottom: 10px;
 }

 #cefiform .short_explanation
 {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 0.7em;
  color: #333333;
 }

 #cefiform .error
 {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 0.8em;
  color: #990000;
  background-color: #FFFF00;
 }

 /* trap: This input is hidden. This is here to trick the bots*/
 #cefiform .trap
 {
  display: none;
  width: 10px;
  height: 3px;
 }

 #cefiform .reset-l
 {
   clear: left;
 }
</style>
</head>
<body>
 <?php if(isset($validator) && sizeof($validator->errors) > 0) $validator->outputErrors(false);?>
 <form id="cefiform" name="cefiform" action="<?php echo(htmlentities($_SERVER['PHP_SELF']));?>" method="post" accept-charset="UTF-8">
  <div class="fieldset">
   <div class="legend">Validation Tests: </div><div class="reset-l"></div>
   <input type="hidden" id="submitted" name="submitted" value="1">
   <input type="text" class="trap" name="trap" id="trap" value="">
   <div class="short_explanation">
    <em class="req">required fields</em>
   </div>
   <div class="container" title="Please enter some alphabetic characters.">
    <label class="req" for="alpha">Alphabetic:</label><br>
    <input type="text" id="alpha" name="alpha" value="<?php if(isset($_POST['alpha'])) echo($_POST['alpha']);?>"><br>
    <span id="cefiform_alpha_errorloc" class="error"><?php if(isset($validator) && array_key_exists('alpha', $validator->errors)) echo(implode('<br>', $validator->errors['alpha']));?></span>
   </div>
   <div class="container" title="Please enter some alpha-numeric characters.">
    <label class="req" for="alnum">Alpha-Numeric:</label><br>
    <input type="text" id="alnum" name="alnum" value="<?php if(isset($_POST['alnum'])) echo($_POST['alnum']);?>"><br>
    <span id="cefiform_alnum_errorloc" class="error"><?php if(isset($validator) && array_key_exists('alnum', $validator->errors)) echo(implode('<br>', $validator->errors['alnum']));?></span>
   </div>
   <div class="container" title="Please enter your last name.">
    <label class="req" for="last_name">Last Name:</label><br>
    <input type="text" id="last_name" name="last_name" value="<?php if(isset($_POST['last_name'])) echo($_POST['last_name']);?>"><br>
    <span id="cefiform_last_name_errorloc" class="error"><?php if(isset($validator) && array_key_exists('last_name', $validator->errors)) echo(implode('<br>', $validator->errors['last_name']));?></span>
   </div>
   <div class="container" title="Please enter your age.">
    <label class="req" for="age">Age:</label><br>
    <input type="text" id="age" name="age" value="<?php if(isset($_POST['age'])) echo($_POST['age']);?>"><br>
    <span id="cefiform_age_errorloc" class="error"><?php if(isset($validator) && array_key_exists('age', $validator->errors)) echo(implode('<br>', $validator->errors['age']));?></span>
   </div>
   <div class="container" title="Please enter your e-mail address.">
    <label class="req" for="email">E-mail Address:</label><br>
    <input type="text" id="email" name="email" value="<?php if(isset($_POST['email'])) echo($_POST['email']);?>"><br>
    <span id="cefiform_email_errorloc" class="error"><?php if(isset($validator) && array_key_exists('email', $validator->errors)) echo(implode('<br>', $validator->errors['email']));?></span>
   </div>
   <div class="container" title="Test checkbox being checked.">
    <label class="req" for="checkme">
     <input type="checkbox" id="checkme" name="checkme" class="req"<?php if(isset($_POST["checkme"])) echo(' checked="checked"');?>>
     &nbsp;Test checkbox being checked.
    </label><br>
    <span id="cefiform_check_errorloc" class="error"><?php if(isset($validator) && array_key_exists('checkme', $validator->errors)) echo(implode('<br>', $validator->errors['checkme']));?></span>
   </div>
   <div class="container" title="Test checkbox NOT being checked.">
    <label for="nocheck">
     <input type="checkbox" id="nocheck" name="nocheck"<?php if(isset($_POST["nocheck"])) echo(' checked="checked"');?>>
     &nbsp;Test checkbox NOT being checked.
    </label><br>
    <span id="cefiform_nocheck_errorloc" class="error"><?php if(isset($validator) && array_key_exists('nocheck', $validator->errors)) echo(implode('<br>', $validator->errors['nocheck']));?></span>
   </div>
   <div class="container" title="Please select your gender.">
    <label class="req">Gender:</label>
    <input type="radio" id="male" name="gender"<?php if(isset($_POST["gender"]) && ($_POST["gender"] == 'male')) echo(' checked="checked"');?> value="male"><label for="male">Male</label>
    &nbsp;<input type="radio" id="female" name="gender"<?php if(isset($_POST["gender"]) && ($_POST["gender"] == 'female')) echo(' checked="checked"');?> value="female"><label for="female">Female</label>
    <br><span id="cefiform_gender_errorloc" class="error"><?php if(isset($validator) && array_key_exists('gender', $validator->errors)) echo(implode('<br>', $validator->errors['gender']));?></span>
   </div>
   <div class="container" title="Please select your country.">
    <label class="req" for='country'>Country:</label><br>
    <select id="country"  name="country">
     <option value="000"<?php if(isset($_POST['country']) && $_POST['country'] == '000') echo(' selected="selected"');?>></option>
     <option value="008"<?php if(isset($_POST['country']) && $_POST['country'] == '008') echo(' selected="selected"');?>>Albania</option>
     <option value="012"<?php if(isset($_POST['country']) && $_POST['country'] == '012') echo(' selected="selected"');?>>Algeria</option>
     <option value="016"<?php if(isset($_POST['country']) && $_POST['country'] == '016') echo(' selected="selected"');?>>American Samoa</option>
     <option value="020"<?php if(isset($_POST['country']) && $_POST['country'] == '020') echo(' selected="selected"');?>>Andorra</option>
     <option value="024"<?php if(isset($_POST['country']) && $_POST['country'] == '024') echo(' selected="selected"');?>>Angola</option>
     <option value="660"<?php if(isset($_POST['country']) && $_POST['country'] == '660') echo(' selected="selected"');?>>Anguilla</option>
     <option value="010"<?php if(isset($_POST['country']) && $_POST['country'] == '010') echo(' selected="selected"');?>>Antarctica</option>
     <option value="028"<?php if(isset($_POST['country']) && $_POST['country'] == '028') echo(' selected="selected"');?>>Antigua And Barbuda</option>
     <option value="032"<?php if(isset($_POST['country']) && $_POST['country'] == '032') echo(' selected="selected"');?>>Argentina</option>
     <option value="051"<?php if(isset($_POST['country']) && $_POST['country'] == '051') echo(' selected="selected"');?>>Armenia</option>
     <option value="533"<?php if(isset($_POST['country']) && $_POST['country'] == '533') echo(' selected="selected"');?>>Aruba</option>
    </select>
    <span id="cefiform_country_errorloc" class="error"><?php if(isset($validator) && array_key_exists('country', $validator->errors)) echo(implode('<br>', $validator->errors['country']));?></span>
   </div>
   <div class="container" title="Please enter some number.">
    <label class="req" for="equal">Equal To 19.333:</label><br>
    <input type="text" id="equal" name="equal" value="<?php if(isset($_POST['equal'])) echo($_POST['equal']);?>"><br>
    <span id="cefiform_equal_errorloc" class="error"><?php if(isset($validator) && array_key_exists('equal', $validator->errors)) echo(implode('<br>', $validator->errors['equal']));?></span>
   </div>
   <div class="container" title="Please enter some number.">
    <label class="req" for="lthan">Less Than 1999.50:</label><br>
    <input type="text" id="lthan" name="lthan" value="<?php if(isset($_POST['lthan'])) echo($_POST['lthan']);?>"><br>
    <span id="cefiform_lthan_errorloc" class="error"><?php if(isset($validator) && array_key_exists('lthan', $validator->errors)) echo(implode('<br>', $validator->errors['lthan']));?></span>
   </div>
   <div class="container" title="Please enter some number.">
    <label class="req" for="lthane">Less Than Or Equal To 1999.50:</label><br>
    <input type="text" id="lthane" name="lthane" value="<?php if(isset($_POST['lthane'])) echo($_POST['lthane']);?>"><br>
    <span id="cefiform_lthane_errorloc" class="error"><?php if(isset($validator) && array_key_exists('lthane', $validator->errors)) echo(implode('<br>', $validator->errors['lthane']));?></span>
   </div>
   <div class="container" title="Please enter some number.">
    <label class="req" for="gthan">Greater Than 10.75:</label><br>
    <input type="text" id="gthan" name="gthan" value="<?php if(isset($_POST['gthan'])) echo($_POST['gthan']);?>"><br>
    <span id="cefiform_gthan_errorloc" class="error"><?php if(isset($validator) && array_key_exists('gthan', $validator->errors)) echo(implode('<br>', $validator->errors['gthan']));?></span>
   </div>
   <div class="container" title="Please enter some number.">
    <label class="req" for="gthane">Greater Than Or Equal To 10.75:</label><br>
    <input type="text" id="gthane" name="gthane" value="<?php if(isset($_POST['gthane'])) echo($_POST['gthane']);?>"><br>
    <span id="cefiform_gthane_errorloc" class="error"><?php if(isset($validator) && array_key_exists('gthane', $validator->errors)) echo(implode('<br>', $validator->errors['gthane']));?></span>
   </div>
   <div class="container" title="Please enter a website address.">
    <label class="req" for="url">Website URL:</label><br>
    <input type="text" id="url" name="url" value="<?php if(isset($_POST['url'])) echo($_POST['url']);?>"><br>
    <span id="cefiform_url_errorloc" class="error"><?php if(isset($validator) && array_key_exists('url', $validator->errors)) echo(implode('<br>', $validator->errors['url']));?></span>
   </div>
   <div class="container" title="Please enter a IP address.">
    <label class="req" for="ip">IP Address:</label><br>
    <input type="text" id="ip" name="ip" value="<?php if(isset($_POST['ip'])) echo($_POST['ip']);?>"><br>
    <span id="cefiform_ip_errorloc" class="error"><?php if(isset($validator) && array_key_exists('ip', $validator->errors)) echo(implode('<br>', $validator->errors['ip']));?></span>
   </div>
   <div class="container" title="Please enter a IPv4 address.">
    <label class="req" for="ipv4">IPv4 Address:</label><br>
    <input type="text" id="ipv4" name="ipv4" value="<?php if(isset($_POST['ipv4'])) echo($_POST['ipv4']);?>"><br>
    <span id="cefiform_ipv4_errorloc" class="error"><?php if(isset($validator) && array_key_exists('ipv4', $validator->errors)) echo(implode('<br>', $validator->errors['ipv4']));?></span>
   </div>
   <div class="container" title="Please enter a IPv6 address.">
    <label class="req" for="ipv6">IPv6 Address:</label><br>
    <input type="text" id="ipv6" name="ipv6" value="<?php if(isset($_POST['ipv6'])) echo($_POST['ipv6']);?>"><br>
    <span id="cefiform_ipv6_errorloc" class="error"><?php if(isset($validator) && array_key_exists('ipv6', $validator->errors)) echo(implode('<br>', $validator->errors['ipv6']));?></span>
   </div>
   <div class="container" title="Please enter a valid date.">
    <label class="req" for="tdate">Date (YYYY-mm-dd):</label><br>
    <input type="text" id="tdate" name="tdate" value="<?php if(isset($_POST['tdate'])) echo($_POST['tdate']);?>"><br>
    <span id="cefiform_tdate_errorloc" class="error"><?php if(isset($validator) && array_key_exists('tdate', $validator->errors)) echo(implode('<br>', $validator->errors['tdate']));?></span>
   </div>
   <div class="container" title="Please enter some alpha-numeric and - and _ characters.">
    <label class="req" for="alnumd">Alpha-Numeric and - and _:</label><br>
    <input type="text" id="alnumd" name="alnumd" value="<?php if(isset($_POST['alnumd'])) echo($_POST['alnumd']);?>"><br>
    <span id="cefiform_alnumd_errorloc" class="error"><?php if(isset($validator) && array_key_exists('alnumd', $validator->errors)) echo(implode('<br>', $validator->errors['alnumd']));?></span>
   </div>
   <div class="container" title="Please enter some alpha-numeric and space characters.">
    <label class="req" for="alnums">Alpha-Numeric and spaces:</label><br>
    <input type="text" id="alnums" name="alnums" value="<?php if(isset($_POST['alnums'])) echo($_POST['alnums']);?>"><br>
    <span id="cefiform_alnums_errorloc" class="error"><?php if(isset($validator) && array_key_exists('alnums', $validator->errors)) echo(implode('<br>', $validator->errors['alnums']));?></span>
   </div>
   <div class="container" title="Please enter some alphabetic and - and _ characters.">
    <label class="req" for="alphad">Alphabetic and - and _:</label><br>
    <input type="text" id="alphad" name="alphad" value="<?php if(isset($_POST['alphad'])) echo($_POST['alphad']);?>"><br>
    <span id="cefiform_alphad_errorloc" class="error"><?php if(isset($validator) && array_key_exists('alphad', $validator->errors)) echo(implode('<br>', $validator->errors['alphad']));?></span>
   </div>
   <div class="container" title="Please enter some alphabetic and space characters.">
    <label class="req" for="alphas">Alphabetic and spaces:</label><br>
    <input type="text" id="alphas" name="alphas" value="<?php if(isset($_POST['alphas'])) echo($_POST['alphas']);?>"><br>
    <span id="cefiform_alphas_errorloc" class="error"><?php if(isset($validator) && array_key_exists('alphas', $validator->errors)) echo(implode('<br>', $validator->errors['alphas']));?></span>
   </div>
   <div class="container" title="Please enter your user name.">
    <label class="req" for="uname">User Name:</label><br>
    <input type="text" id="uname" name="uname" value="<?php if(isset($_POST['uname'])) echo($_POST['uname']);?>"><br>
    <span id="cefiform_uname_errorloc" class="error"><?php if(isset($validator) && array_key_exists('uname', $validator->errors)) echo(implode('<br>', $validator->errors['uname']));?></span>
   </div>
   <div class="container" title="Please enter your password.">
    <label class="req" for="passa">Password:</label><br>
    <input type="password" id="passa" name="passa" value="<?php if(isset($_POST['passa'])) echo($_POST['passa']);?>"><br>
    <span id="cefiform_passa_errorloc" class="error"><?php if(isset($validator) && array_key_exists('passa', $validator->errors)) echo(implode('<br>', $validator->errors['passa']));?></span>
   </div>
   <div class="container" title="Please confirm your password.">
    <label class="req" for="passb">Confirm Password:</label><br>
    <input type="password" id="passb" name="passb" value="<?php if(isset($_POST['passb'])) echo($_POST['passb']);?>"><br>
    <span id="cefiform_passb_errorloc" class="error"><?php if(isset($validator) && array_key_exists('passb', $validator->errors)) echo(implode('<br>', $validator->errors['passb']));?></span>
   </div>
   <div class="container" title="Please enter source value A.">
    <label class="req" for="soura">Source Value A:</label><br>
    <input type="text" id="soura" name="soura" value="<?php if(isset($_POST['soura'])) echo($_POST['soura']);?>"><br>
    <span id="cefiform_soura_errorloc" class="error"><?php if(isset($validator) && array_key_exists('soura', $validator->errors)) echo(implode('<br>', $validator->errors['soura']));?></span>
   </div>
   <div class="container" title="Value less than source A.">
    <label class="req" for="ltval">Less Than Source A:</label><br>
    <input type="text" id="ltval" name="ltval" value="<?php if(isset($_POST['ltval'])) echo($_POST['ltval']);?>"><br>
    <span id="cefiform_ltval_errorloc" class="error"><?php if(isset($validator) && array_key_exists('ltval', $validator->errors)) echo(implode('<br>', $validator->errors['ltval']));?></span>
   </div>
   <div class="container" title="Value less than or equal to source A.">
    <label class="req" for="leval">Less Than or Equal to Source A:</label><br>
    <input type="text" id="leval" name="leval" value="<?php if(isset($_POST['leval'])) echo($_POST['leval']);?>"><br>
    <span id="cefiform_leval_errorloc" class="error"><?php if(isset($validator) && array_key_exists('leval', $validator->errors)) echo(implode('<br>', $validator->errors['leval']));?></span>
   </div>
   <div class="container" title="Please enter source value B.">
    <label class="req" for="sourb">Source Value B:</label><br>
    <input type="text" id="sourb" name="sourb" value="<?php if(isset($_POST['sourb'])) echo($_POST['sourb']);?>"><br>
    <span id="cefiform_sourb_errorloc" class="error"><?php if(isset($validator) && array_key_exists('sourb', $validator->errors)) echo(implode('<br>', $validator->errors['sourb']));?></span>
   </div>
   <div class="container" title="Value greater than source B.">
    <label class="req" for="gtval">Greater Than Source B:</label><br>
    <input type="text" id="gtval" name="gtval" value="<?php if(isset($_POST['gtval'])) echo($_POST['gtval']);?>"><br>
    <span id="cefiform_gtval_errorloc" class="error"><?php if(isset($validator) && array_key_exists('gtval', $validator->errors)) echo(implode('<br>', $validator->errors['gtval']));?></span>
   </div>
   <div class="container" title="Value greater than or equal to source B.">
    <label class="req" for="geval">Greater Than or Equal to Source B:</label><br>
    <input type="text" id="geval" name="geval" value="<?php if(isset($_POST['geval'])) echo($_POST['geval']);?>"><br>
    <span id="cefiform_geval_errorloc" class="error"><?php if(isset($validator) && array_key_exists('geval', $validator->errors)) echo(implode('<br>', $validator->errors['geval']));?></span>
   </div>
   <div class="container" title="Please enter a credit card number.">
    <label class="req" for="ccnum">Credit Card Number:</label><br>
    <input type="text" id="ccnum" name="ccnum" value="<?php if(isset($_POST['ccnum'])) echo($_POST['ccnum']);?>"><br>
    <span id="cefiform_ccnum_errorloc" class="error"><?php if(isset($validator) && array_key_exists('ccnum', $validator->errors)) echo(implode('<br>', $validator->errors['ccnum']));?></span>
   </div>
   <div class="container" title="Please enter character(s) to pad on both sides.">
    <label class="req" for="pboth">Character(s) to Pad on Both Sides:</label><br>
    <input type="text" id="pboth" name="pboth" value="<?php if(isset($_POST['pboth'])) echo($_POST['pboth']);?>"><br>
    <span id="cefiform_pboth_errorloc" class="error"><?php if(isset($validator) && array_key_exists('pboth', $validator->errors)) echo(implode('<br>', $validator->errors['pboth']));?></span>
   </div>
   <div class="container" title="Please enter character(s) to pad on the left side.">
    <label class="req" for="pleft">Character(s) to Pad Left Side:</label><br>
    <input type="text" id="pleft" name="pleft" value="<?php if(isset($_POST['pleft'])) echo($_POST['pleft']);?>"><br>
    <span id="cefiform_pleft_errorloc" class="error"><?php if(isset($validator) && array_key_exists('pleft', $validator->errors)) echo(implode('<br>', $validator->errors['pleft']));?></span>
   </div>
   <div class="container" title="Please enter character(s) to pad on the right side.">
    <label class="req" for="pright">Character(s) to Pad Right Side:</label><br>
    <input type="text" id="pright" name="pright" value="<?php if(isset($_POST['pright'])) echo($_POST['pright']);?>"><br>
    <span id="cefiform_pright_errorloc" class="error"><?php if(isset($validator) && array_key_exists('pright', $validator->errors)) echo(implode('<br>', $validator->errors['pright']));?></span>
   </div>
   <div class="container" title="Please enter characters to convert to lower case.">
    <label class="req" for="lowerc">Convert to Lower Case Characters:</label><br>
    <input type="text" id="lowerc" name="lowerc" value="<?php if(isset($_POST['lowerc'])) echo($_POST['lowerc']);?>"><br>
    <span id="cefiform_lowerc_errorloc" class="error"><?php if(isset($validator) && array_key_exists('lowerc', $validator->errors)) echo(implode('<br>', $validator->errors['lowerc']));?></span>
   </div>
   <div class="container" title="Please enter characters to convert to upper case.">
    <label class="req" for="upperc">Convert to Upper Case Characters:</label><br>
    <input type="text" id="upperc" name="upperc" value="<?php if(isset($_POST['upperc'])) echo($_POST['upperc']);?>"><br>
    <span id="cefiform_upperc_errorloc" class="error"><?php if(isset($validator) && array_key_exists('upperc', $validator->errors)) echo(implode('<br>', $validator->errors['upperc']));?></span>
   </div>
   <div class="container" title="Please enter characters to convert to lower case.">
    <label for="cnull">Leave blank to covert to NULL:</label><br>
    <input type="text" id="cnull" name="cnull" value="<?php if(isset($_POST['cnull'])) echo($_POST['cnull']);?>"><br>
   </div>
   <div class="container">
    <input type="submit" id="submit" name="submit" value="Submit" title="Click to submit form data.">
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="reset" id="reset" name="reset" value="Reset" title="Click to reset form data.">
   </div>
  </div>
 </form>
</body>
</html>
